> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quote analytics

> Retrieve view tracking analytics for a quote



## OpenAPI

````yaml quote.2024-07-30.product.live GET /quotes/{id}/analytics
openapi: 3.0.0
info:
  title: Quote
  description: Quote Building API
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /quotes/{id}/analytics:
    servers: []
    parameters: []
    get:
      tags:
        - Quotes
      summary: Get quote analytics
      description: Retrieve view tracking analytics for a quote
      operationId: getQuotesByIdAnalytics
      parameters:
        - name: id
          in: path
          description: Quote ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetQuoteViewTrackingResponse'
                example:
                  totalViews: 42
                  uniqueViewers:
                    - visitorIdentifier: 0190dae7-7228-7619-aad8-c51f56733b2b
                      lastViewedAt: '2024-01-07T10:30:00Z'
                      loginType: SEQUENCE_USER
                      email: johndoe@example.com
                  viewsByDay:
                    - date: '2024-01-07'
                      totalViews: 15
              examples:
                GetQuoteViewTrackingResponse:
                  summary: ''
                  value:
                    totalViews: 42
                    uniqueViewers:
                      - visitorIdentifier: 0190dae7-7228-7619-aad8-c51f56733b2b
                        lastViewedAt: '2024-01-07T10:30:00Z'
                        loginType: SEQUENCE_USER
                        email: johndoe@example.com
                    viewsByDay:
                      - date: '2024-01-07'
                        totalViews: 15
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not Found
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    GetQuoteViewTrackingResponse:
      required:
        - totalViews
        - uniqueViewers
        - viewsByDay
      type: object
      example:
        totalViews: 42
        uniqueViewers:
          - visitorIdentifier: 0190dae7-7228-7619-aad8-c51f56733b2b
            lastViewedAt: '2024-01-07T10:30:00Z'
            loginType: SEQUENCE_USER
            email: johndoe@example.com
        viewsByDay:
          - date: '2024-01-07'
            totalViews: 15
      properties:
        totalViews:
          type: integer
          format: int32
          example: 42
        uniqueViewers:
          type: array
          example:
            - visitorIdentifier: 0190dae7-7228-7619-aad8-c51f56733b2b
              lastViewedAt: '2024-01-07T10:30:00Z'
              loginType: SEQUENCE_USER
              email: johndoe@example.com
          items:
            $ref: '#/components/schemas/UniqueViewerResponse'
        viewsByDay:
          type: array
          example:
            - date: '2024-01-07'
              totalViews: 15
          items:
            $ref: '#/components/schemas/DailyQuoteViewTotalResponse'
    UniqueViewerResponse:
      required:
        - lastViewedAt
        - loginType
        - visitorIdentifier
      type: object
      example:
        visitorIdentifier: 0190dae7-7228-7619-aad8-c51f56733b2b
        lastViewedAt: '2024-01-07T10:30:00Z'
        loginType: SEQUENCE_USER
        email: johndoe@example.com
      properties:
        visitorIdentifier:
          type: string
          example: 0190dae7-7228-7619-aad8-c51f56733b2b
        lastViewedAt:
          type: string
          format: date-time
          example: '2024-01-07T10:30:00Z'
        loginType:
          type: string
          example: SEQUENCE_USER
        email:
          type: string
          example: johndoe@example.com
    DailyQuoteViewTotalResponse:
      required:
        - date
        - totalViews
      type: object
      example:
        date: '2024-01-07'
        totalViews: 15
      properties:
        date:
          type: string
          format: date
          example: '2024-01-07'
        totalViews:
          type: integer
          format: int32
          example: 15

````